## NMSettingBridge NMSettingBridge — Describes connection properties for bridges |

## Functions

NMSetting * | nm_setting_bridge_new ()
const char * | nm_setting_bridge_get_mac_address ()
gboolean | nm_setting_bridge_get_stp ()
guint16 | nm_setting_bridge_get_priority ()
guint16 | nm_setting_bridge_get_forward_delay ()
guint16 | nm_setting_bridge_get_hello_time ()
guint16 | nm_setting_bridge_get_max_age ()
guint32 | nm_setting_bridge_get_ageing_time ()
guint16 | nm_setting_bridge_get_group_forward_mask ()
gboolean | nm_setting_bridge_get_multicast_snooping ()
gboolean | nm_setting_bridge_get_vlan_filtering ()
guint16 | nm_setting_bridge_get_vlan_default_pvid ()
void | nm_setting_bridge_add_vlan ()
guint | nm_setting_bridge_get_num_vlans ()
NMBridgeVlan * | nm_setting_bridge_get_vlan ()
void | nm_setting_bridge_remove_vlan ()
gboolean | nm_setting_bridge_remove_vlan_by_vid ()
void | nm_setting_bridge_clear_vlans ()
NMBridgeVlan * | nm_bridge_vlan_new ()
NMBridgeVlan * | nm_bridge_vlan_ref ()
void | nm_bridge_vlan_unref ()
NMBridgeVlan * | nm_bridge_vlan_new_clone ()
int | nm_bridge_vlan_cmp ()
void | nm_bridge_vlan_seal ()
gboolean | nm_bridge_vlan_is_sealed ()
void | nm_bridge_vlan_set_untagged ()
void | nm_bridge_vlan_set_pvid ()
gboolean | nm_bridge_vlan_get_vid_range ()
gboolean | nm_bridge_vlan_is_untagged ()
gboolean | nm_bridge_vlan_is_pvid ()
char * | nm_bridge_vlan_to_str ()
NMBridgeVlan * | nm_bridge_vlan_from_str ()
const char * | nm_setting_bridge_get_group_address ()
const char * | nm_setting_bridge_get_vlan_protocol ()
gboolean | nm_setting_bridge_get_vlan_stats_enabled ()
const char * | nm_setting_bridge_get_multicast_router ()
gboolean | nm_setting_bridge_get_multicast_query_use_ifaddr ()
gboolean | nm_setting_bridge_get_multicast_querier ()
guint32 | nm_setting_bridge_get_multicast_hash_max ()
guint32 | nm_setting_bridge_get_multicast_last_member_count ()
guint64 | nm_setting_bridge_get_multicast_last_member_interval ()
guint64 | nm_setting_bridge_get_multicast_membership_interval ()
guint64 | nm_setting_bridge_get_multicast_querier_interval ()
guint64 | nm_setting_bridge_get_multicast_query_interval ()
guint64 | nm_setting_bridge_get_multicast_query_response_interval ()
guint32 | nm_setting_bridge_get_multicast_startup_query_count ()
guint64 | nm_setting_bridge_get_multicast_startup_query_interval ()

## Types and Values

#define | NM_SETTING_BRIDGE_SETTING_NAME
#define | NM_SETTING_BRIDGE_MAC_ADDRESS
#define | NM_SETTING_BRIDGE_STP
#define | NM_SETTING_BRIDGE_PRIORITY
#define | NM_SETTING_BRIDGE_FORWARD_DELAY
#define | NM_SETTING_BRIDGE_HELLO_TIME
#define | NM_SETTING_BRIDGE_MAX_AGE
#define | NM_SETTING_BRIDGE_AGEING_TIME
#define | NM_SETTING_BRIDGE_GROUP_FORWARD_MASK
#define | NM_SETTING_BRIDGE_MULTICAST_HASH_MAX
#define | NM_SETTING_BRIDGE_MULTICAST_LAST_MEMBER_COUNT
#define | NM_SETTING_BRIDGE_MULTICAST_LAST_MEMBER_INTERVAL
#define | NM_SETTING_BRIDGE_MULTICAST_MEMBERSHIP_INTERVAL
#define | NM_SETTING_BRIDGE_MULTICAST_SNOOPING
#define | NM_SETTING_BRIDGE_MULTICAST_ROUTER
#define | NM_SETTING_BRIDGE_MULTICAST_QUERIER
#define | NM_SETTING_BRIDGE_MULTICAST_QUERIER_INTERVAL
#define | NM_SETTING_BRIDGE_MULTICAST_QUERY_INTERVAL
#define | NM_SETTING_BRIDGE_MULTICAST_QUERY_RESPONSE_INTERVAL
#define | NM_SETTING_BRIDGE_MULTICAST_QUERY_USE_IFADDR
#define | NM_SETTING_BRIDGE_MULTICAST_STARTUP_QUERY_COUNT
#define | NM_SETTING_BRIDGE_MULTICAST_STARTUP_QUERY_INTERVAL
#define | NM_SETTING_BRIDGE_VLAN_FILTERING
#define | NM_SETTING_BRIDGE_VLAN_DEFAULT_PVID
#define | NM_SETTING_BRIDGE_VLANS
#define | NM_SETTING_BRIDGE_GROUP_ADDRESS
#define | NM_SETTING_BRIDGE_VLAN_PROTOCOL
#define | NM_SETTING_BRIDGE_VLAN_STATS_ENABLED
#define | NM_BRIDGE_VLAN_VID_MIN
#define | NM_BRIDGE_VLAN_VID_MAX

## Object Hierarchy

        GBoxed
        ╰── NMBridgeVlan

## Description

The NMSettingBridge object is a NMSetting subclass that describes properties necessary for bridging connections.

## Functions

### nm_setting_bridge_new ()

    NMSetting *
    nm_setting_bridge_new (void);

Creates a new NMSettingBridge object with default values.

#### Returns

the new empty NMSettingBridge object.

[transfer full]

### nm_setting_bridge_get_mac_address ()

    const char *
    nm_setting_bridge_get_mac_address (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “mac-address” property of the setting

### nm_setting_bridge_get_stp ()

    gboolean
    nm_setting_bridge_get_stp (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “stp” property of the setting

### nm_setting_bridge_get_priority ()

    guint16
    nm_setting_bridge_get_priority (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “priority” property of the setting

### nm_setting_bridge_get_forward_delay ()

    guint16
    nm_setting_bridge_get_forward_delay (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “forward-delay” property of the setting

### nm_setting_bridge_get_hello_time ()

    guint16
    nm_setting_bridge_get_hello_time (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “hello-time” property of the setting

### nm_setting_bridge_get_max_age ()

    guint16
    nm_setting_bridge_get_max_age (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “max-age” property of the setting

### nm_setting_bridge_get_ageing_time ()

    guint32
    nm_setting_bridge_get_ageing_time (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “ageing-time” property of the setting

### nm_setting_bridge_get_group_forward_mask ()

    guint16
    nm_setting_bridge_get_group_forward_mask
                                   (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “group-forward-mask” property of the setting

Since: 1.10

### nm_setting_bridge_get_multicast_snooping ()

    gboolean
    nm_setting_bridge_get_multicast_snooping
                                   (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-snooping” property of the setting

Since: 1.2

### nm_setting_bridge_get_vlan_filtering ()

    gboolean
    nm_setting_bridge_get_vlan_filtering (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “vlan-filtering” property of the setting

Since: 1.18

### nm_setting_bridge_get_vlan_default_pvid ()

    guint16
    nm_setting_bridge_get_vlan_default_pvid
                                   (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “vlan-default-pvid” property of the setting

Since: 1.18

### nm_setting_bridge_add_vlan ()

    void
    nm_setting_bridge_add_vlan (NMSettingBridge *setting,
                                NMBridgeVlan *vlan);

Appends a new vlan and associated information to the setting. The given vlan gets sealed and a reference to it is added.

#### Parameters

setting | the NMSettingBridge |
vlan | the vlan to add |

Since: 1.18

### nm_setting_bridge_get_num_vlans ()

    guint
    nm_setting_bridge_get_num_vlans (NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the number of VLANs

Since: 1.18

### nm_setting_bridge_get_vlan ()

    NMBridgeVlan *
    nm_setting_bridge_get_vlan (NMSettingBridge *setting,
                                guint idx);

#### Parameters

setting | the NMSettingBridge |
idx | index number of the VLAN to return |

#### Returns

the VLAN at index `idx` .

[transfer none]

Since: 1.18

### nm_setting_bridge_remove_vlan ()

    void
    nm_setting_bridge_remove_vlan (NMSettingBridge *setting,
                                   guint idx);

Removes the vlan at index `idx` .

#### Parameters

setting | the NMSettingBridge |
idx | index number of the VLAN. |

Since: 1.18

### nm_setting_bridge_remove_vlan_by_vid ()

    gboolean
    nm_setting_bridge_remove_vlan_by_vid (NMSettingBridge *setting,
                                          guint16 vid_start,
                                          guint16 vid_end);

Remove the VLAN with range `vid_start` to `vid_end` . If `vid_end` is zero, it is assumed to be equal to `vid_start` and so the single-id VLAN with id `vid_start` is removed.

#### Parameters

setting | the NMSettingBridge |
vid_start | the vlan start index |
vid_end | the vlan end index |

#### Returns

`TRUE` if the vlan was found and removed; `FALSE` otherwise

Since: 1.18

### nm_setting_bridge_clear_vlans ()

    void
    nm_setting_bridge_clear_vlans (NMSettingBridge *setting);

Removes all configured VLANs.

#### Parameters

setting | the NMSettingBridge |

Since: 1.18

### nm_bridge_vlan_new ()

    NMBridgeVlan *
    nm_bridge_vlan_new (guint16 vid_start,
                        guint16 vid_end);

Creates a new NMBridgeVlan object for the given VLAN id range. Setting `vid_end` to 0 is equivalent to setting it to `vid_start` and creates a single-id VLAN.

#### Parameters

vid_start | the start VLAN id, must be between 1 and 4094. |
vid_end | the end VLAN id, must be 0 or between `vid_start` and 4094. |

#### Returns

the new NMBridgeVlan object.

[transfer full]

Since: 1.18

### nm_bridge_vlan_ref ()

    NMBridgeVlan *
    nm_bridge_vlan_ref (NMBridgeVlan *vlan);

Increases the reference count of the object.

#### Parameters

vlan | the NMBridgeVlan |

#### Returns

the input argument `vlan` object.

Since: 1.18

### nm_bridge_vlan_unref ()

    void
    nm_bridge_vlan_unref (NMBridgeVlan *vlan);

Decreases the reference count of the object. If the reference count reaches zero the object will be destroyed.

#### Parameters

vlan | the NMBridgeVlan |

Since: 1.18

### nm_bridge_vlan_new_clone ()

    NMBridgeVlan *
    nm_bridge_vlan_new_clone (const NMBridgeVlan *vlan);

#### Parameters

vlan | the NMBridgeVlan instance to copy |

#### Returns

a clone of `vlan` . This instance is always unsealed.

[transfer full]

Since: 1.18

### nm_bridge_vlan_cmp ()

    int
    nm_bridge_vlan_cmp (const NMBridgeVlan *a,
                        const NMBridgeVlan *b);

Compare two bridge VLAN objects.

#### Parameters

a | a NMBridgeVlan |
b | another NMBridgeVlan |

#### Returns

zero of the two instances are equivalent or a non-zero integer otherwise. This defines a total ordering over the VLANs. Whether a VLAN is sealed or not does not affect the comparison.

Since: 1.18

### nm_bridge_vlan_seal ()

    void
    nm_bridge_vlan_seal (NMBridgeVlan *vlan);

Seal the NMBridgeVlan instance. Afterwards, it is a bug to call all functions that modify the instance (except ref/unref). A sealed instance cannot be unsealed again, but you can create an unsealed copy with `nm_bridge_vlan_new_clone()`.

#### Parameters

vlan | the NMBridgeVlan instance |

Since: 1.18

### nm_bridge_vlan_is_sealed ()

    gboolean
    nm_bridge_vlan_is_sealed (const NMBridgeVlan *vlan);

#### Parameters

vlan | the NMBridgeVlan instance |

#### Returns

whether `self` is sealed or not.

Since: 1.18

### nm_bridge_vlan_set_untagged ()

    void
    nm_bridge_vlan_set_untagged (NMBridgeVlan *vlan,
                                 gboolean value);

Change the value of the untagged property of the VLAN.

#### Parameters

vlan | the NMBridgeVlan |
value | the new value |

Since: 1.18

### nm_bridge_vlan_set_pvid ()

    void
    nm_bridge_vlan_set_pvid (NMBridgeVlan *vlan,
                             gboolean value);

Change the value of the PVID property of the VLAN. It is invalid to set the value to `TRUE` for non-single-id VLANs.

#### Parameters

vlan | the NMBridgeVlan |
value | the new value |

Since: 1.18

### nm_bridge_vlan_get_vid_range ()

    gboolean
    nm_bridge_vlan_get_vid_range (const NMBridgeVlan *vlan,
                                  guint16 *vid_start,
                                  guint16 *vid_end);

Gets the VLAN id range.

#### Parameters

vlan | the NMBridgeVlan |
vid_start | location to store the VLAN id range start. | [out]
vid_end | location to store the VLAN id range end. | [out]

#### Returns

`TRUE` is the VLAN specifies a range, `FALSE` if it is a single-id VLAN.

Since: 1.18

### nm_bridge_vlan_is_untagged ()

    gboolean
    nm_bridge_vlan_is_untagged (const NMBridgeVlan *vlan);

Returns whether the VLAN is untagged.

#### Parameters

vlan | the NMBridgeVlan |

#### Returns

`TRUE` if the VLAN is untagged, `FALSE` otherwise

Since: 1.18

### nm_bridge_vlan_is_pvid ()

    gboolean
    nm_bridge_vlan_is_pvid (const NMBridgeVlan *vlan);

Returns whether the VLAN is the PVID for the port.

#### Parameters

vlan | the NMBridgeVlan |

#### Returns

`TRUE` if the VLAN is the PVID

Since: 1.18

### nm_bridge_vlan_to_str ()

    char *
    nm_bridge_vlan_to_str (const NMBridgeVlan *vlan,
                           GError **error);

Convert a `NMBridgeVlan` to a string.

#### Parameters

vlan | the `NMBridgeVlan` |
error | location of the error |

#### Returns

formatted string or `NULL`

Since: 1.18

### nm_bridge_vlan_from_str ()

    NMBridgeVlan *
    nm_bridge_vlan_from_str (const char *str,
                             GError **error);

Parses the string representation of the queueing discipline to a `NMBridgeVlan` instance.

#### Parameters

str | the string representation of a bridge VLAN |
error | location of the error |

#### Returns

the `NMBridgeVlan` or `NULL`

Since: 1.18

### nm_setting_bridge_get_group_address ()

    const char *
    nm_setting_bridge_get_group_address (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “group-address” property of the setting

Since 1.24

### nm_setting_bridge_get_vlan_protocol ()

    const char *
    nm_setting_bridge_get_vlan_protocol (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “vlan-protocol” property of the setting

Since 1.24

### nm_setting_bridge_get_vlan_stats_enabled ()

    gboolean
    nm_setting_bridge_get_vlan_stats_enabled
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “vlan-stats-enabled” property of the setting

Since 1.24

### nm_setting_bridge_get_multicast_router ()

    const char *
    nm_setting_bridge_get_multicast_router
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-router” property of the setting

Since 1.24

### nm_setting_bridge_get_multicast_query_use_ifaddr ()

    gboolean
    nm_setting_bridge_get_multicast_query_use_ifaddr
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-query-use-ifaddr” property of the setting

Since 1.24

### nm_setting_bridge_get_multicast_querier ()

    gboolean
    nm_setting_bridge_get_multicast_querier
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-querier” property of the setting

Since 1.24

### nm_setting_bridge_get_multicast_hash_max ()

    guint32
    nm_setting_bridge_get_multicast_hash_max
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-hash-max” property of the setting

Since 1.26

### nm_setting_bridge_get_multicast_last_member_count ()

    guint32
    nm_setting_bridge_get_multicast_last_member_count
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-last-member-count” property of the setting

Since 1.26

### nm_setting_bridge_get_multicast_last_member_interval ()

    guint64
    nm_setting_bridge_get_multicast_last_member_interval
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-last-member-interval” property of the setting

Since 1.26

### nm_setting_bridge_get_multicast_membership_interval ()

    guint64
    nm_setting_bridge_get_multicast_membership_interval
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-membership-interval” property of the setting

Since 1.26

### nm_setting_bridge_get_multicast_querier_interval ()

    guint64
    nm_setting_bridge_get_multicast_querier_interval
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-querier-interval” property of the setting

Since 1.26

### nm_setting_bridge_get_multicast_query_interval ()

    guint64
    nm_setting_bridge_get_multicast_query_interval
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-query-interval” property of the setting

Since 1.26

### nm_setting_bridge_get_multicast_query_response_interval ()

    guint64
    nm_setting_bridge_get_multicast_query_response_interval
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-query-response-interval” property of the setting

Since 1.26

### nm_setting_bridge_get_multicast_startup_query_count ()

    guint32
    nm_setting_bridge_get_multicast_startup_query_count
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-query-response-interval” property of the setting

Since 1.26

### nm_setting_bridge_get_multicast_startup_query_interval ()

    guint64
    nm_setting_bridge_get_multicast_startup_query_interval
                                   (const NMSettingBridge *setting);

#### Parameters

setting | the NMSettingBridge |

#### Returns

the “multicast-startup-query-interval” property of the setting

Since 1.26

## Types and Values

### NM_SETTING_BRIDGE_SETTING_NAME

    #define NM_SETTING_BRIDGE_SETTING_NAME "bridge"

### NM_SETTING_BRIDGE_MAC_ADDRESS

    #define NM_SETTING_BRIDGE_MAC_ADDRESS                       "mac-address"

### NM_SETTING_BRIDGE_STP

    #define NM_SETTING_BRIDGE_STP                               "stp"

### NM_SETTING_BRIDGE_PRIORITY

    #define NM_SETTING_BRIDGE_PRIORITY                          "priority"

### NM_SETTING_BRIDGE_FORWARD_DELAY

    #define NM_SETTING_BRIDGE_FORWARD_DELAY                     "forward-delay"

### NM_SETTING_BRIDGE_HELLO_TIME

    #define NM_SETTING_BRIDGE_HELLO_TIME                        "hello-time"

### NM_SETTING_BRIDGE_MAX_AGE

    #define NM_SETTING_BRIDGE_MAX_AGE                           "max-age"

### NM_SETTING_BRIDGE_AGEING_TIME

    #define NM_SETTING_BRIDGE_AGEING_TIME                       "ageing-time"

### NM_SETTING_BRIDGE_GROUP_FORWARD_MASK

    #define NM_SETTING_BRIDGE_GROUP_FORWARD_MASK                "group-forward-mask"

### NM_SETTING_BRIDGE_MULTICAST_HASH_MAX

    #define NM_SETTING_BRIDGE_MULTICAST_HASH_MAX                "multicast-hash-max"

### NM_SETTING_BRIDGE_MULTICAST_LAST_MEMBER_COUNT

    #define NM_SETTING_BRIDGE_MULTICAST_LAST_MEMBER_COUNT       "multicast-last-member-count"

### NM_SETTING_BRIDGE_MULTICAST_LAST_MEMBER_INTERVAL

    #define NM_SETTING_BRIDGE_MULTICAST_LAST_MEMBER_INTERVAL    "multicast-last-member-interval"

### NM_SETTING_BRIDGE_MULTICAST_MEMBERSHIP_INTERVAL

    #define NM_SETTING_BRIDGE_MULTICAST_MEMBERSHIP_INTERVAL     "multicast-membership-interval"

### NM_SETTING_BRIDGE_MULTICAST_SNOOPING

    #define NM_SETTING_BRIDGE_MULTICAST_SNOOPING                "multicast-snooping"

### NM_SETTING_BRIDGE_MULTICAST_ROUTER

    #define NM_SETTING_BRIDGE_MULTICAST_ROUTER                  "multicast-router"

### NM_SETTING_BRIDGE_MULTICAST_QUERIER

    #define NM_SETTING_BRIDGE_MULTICAST_QUERIER                 "multicast-querier"

### NM_SETTING_BRIDGE_MULTICAST_QUERIER_INTERVAL

    #define NM_SETTING_BRIDGE_MULTICAST_QUERIER_INTERVAL        "multicast-querier-interval"

### NM_SETTING_BRIDGE_MULTICAST_QUERY_INTERVAL

    #define NM_SETTING_BRIDGE_MULTICAST_QUERY_INTERVAL          "multicast-query-interval"

### NM_SETTING_BRIDGE_MULTICAST_QUERY_RESPONSE_INTERVAL

    #define NM_SETTING_BRIDGE_MULTICAST_QUERY_RESPONSE_INTERVAL "multicast-query-response-interval"

### NM_SETTING_BRIDGE_MULTICAST_QUERY_USE_IFADDR

    #define NM_SETTING_BRIDGE_MULTICAST_QUERY_USE_IFADDR        "multicast-query-use-ifaddr"

### NM_SETTING_BRIDGE_MULTICAST_STARTUP_QUERY_COUNT

    #define NM_SETTING_BRIDGE_MULTICAST_STARTUP_QUERY_COUNT     "multicast-startup-query-count"

### NM_SETTING_BRIDGE_MULTICAST_STARTUP_QUERY_INTERVAL

    #define NM_SETTING_BRIDGE_MULTICAST_STARTUP_QUERY_INTERVAL  "multicast-startup-query-interval"

### NM_SETTING_BRIDGE_VLAN_FILTERING

    #define NM_SETTING_BRIDGE_VLAN_FILTERING                    "vlan-filtering"

### NM_SETTING_BRIDGE_VLAN_DEFAULT_PVID

    #define NM_SETTING_BRIDGE_VLAN_DEFAULT_PVID                 "vlan-default-pvid"

### NM_SETTING_BRIDGE_VLANS

    #define NM_SETTING_BRIDGE_VLANS                             "vlans"

### NM_SETTING_BRIDGE_GROUP_ADDRESS

    #define NM_SETTING_BRIDGE_GROUP_ADDRESS                     "group-address"

### NM_SETTING_BRIDGE_VLAN_PROTOCOL

    #define NM_SETTING_BRIDGE_VLAN_PROTOCOL                     "vlan-protocol"

### NM_SETTING_BRIDGE_VLAN_STATS_ENABLED

    #define NM_SETTING_BRIDGE_VLAN_STATS_ENABLED                "vlan-stats-enabled"

### NM_BRIDGE_VLAN_VID_MIN

    #define NM_BRIDGE_VLAN_VID_MIN            1

### NM_BRIDGE_VLAN_VID_MAX

    #define NM_BRIDGE_VLAN_VID_MAX            4094